## fenics-dolfinx 0.10.0.post3

=== debian/changelog ===
fenics-dolfinx (1:0.10.0.post3-1exp6) experimental; urgency=medium

  * powerpc: skip test_compare_solution_linear_vs_nonlinear_problem
  * update versioned Build-Depends: python3-nanobind (>= 2.5.0~)

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Dec 2025 19:36:43 +0100

fenics-dolfinx (1:0.10.0.post3-1exp5) experimental; urgency=medium

  * update debian/tests
    - set MPLBACKEND=Agg to run python demo tests with
      matplotlib off-screen (demo_comm-pattern.py)
      Complements PYVISTA_OFF_SCREEN=True already used for pyvista tests
    - add Restrictions: allow-stderr to python tests, since some demos
      emit warnings about pyvista off-screen and pytest itself emits
      a DeprecationWarning about crc32c
  * debian patch fix_demo_half_loaded_waveguide.patch fixes filepath
    handling in python demo_half_loaded_waveguide.py

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Nov 2025 13:50:25 +0100

fenics-dolfinx (1:0.10.0.post3-1exp4) experimental; urgency=medium

  * update debian patch doc_build.patch to fix location of local
    petsc4py docs
  * debian/rules: stop treating warnings as errors during python
    (sphinx) doc build (warns that pyvista intersphinx web objects are
    not accessible)

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Nov 2025 16:30:28 +0100

fenics-dolfinx (1:0.10.0.post3-1exp3) experimental; urgency=medium

  * update debian/tests
    - control Depends: python3-networkx
      for python demo tests (demo_comm-pattern.py)
    - test-dolfinx-python-demos skip pyamg demo tests
      (pyamg is not yet packaged for debian)
    - Depends: python3-pyvista for python demo tests
  * debian patches fix_scotch_partitioner_PR4001.patch and
    fix_partitioner_ghost_PR4003.patch apply upstream PR#4001 and
    #4003 to fix handling of mesh tests using the scotch partitioner

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Nov 2025 13:16:56 +0100

fenics-dolfinx (1:0.10.0.post3-1exp2) experimental; urgency=medium

  * debian patch test_no_mumps.patch skips test_mixed_system in
    test_petsc_solver_wrappers.py for kind="nest" (or list)
    if MUMPS is not available. For kind="mpi" (or None), fall back to
    superlu_dist, or petsc direct in serial.
  * adios2 is not reliable on bigendian systems (s390x), skip
    cpp demo demo_mixed_poisson* on them

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Nov 2025 13:37:43 +0100

fenics-dolfinx (1:0.10.0.post3-1exp1) experimental; urgency=medium

  * New upstream release
  * simplify openmpi handling by setting oversubscribe option only
    through env variable PRTE_MCA_rmaps_default_mapping_policy.
    MPIEXEC_PARAMS not needed.
  * add debian/source/lintian-overrides to ignore lintian warning
    test-leaves-python-version-untested. The python dependency is
    picked up via Depends: @builddeps@, and is not relevant to cpp

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 18:51:00 +0100

fenics-dolfinx (1:0.10.0.post2-1exp3) experimental; urgency=medium

  * debian patch fix_test_dg0.patch fixes skip of DG-0 test on systems
    without adios2 (without VTXWriter)
  * set PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe on
    openmpi systems. Needed by s390x buildd.

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Nov 2025 14:11:18 +0100

=== debian/tests/control ===
Tests: test-dolfinx-cpp,
 test-dolfinx-cpp-complex,
Depends: @, @builddeps@,
Restrictions: allow-stderr

Tests: test-dolfinx-python-unittests,
 test-dolfinx-python-demos
Depends: @, @builddeps@,
	  python3-all-dev,
	  python3-pytest,
	  python3-decorator,
	  python3-matplotlib,
	  python3-networkx,
	  python3-pyvista,
	  python3-scipy
Restrictions: allow-stderr

Tests: test-dolfinx-python-complex-unittests,
 test-dolfinx-python-complex-demos
Depends: @, @builddeps@,
	  python3-all-dev,
	  python3-pytest,
	  python3-decorator,
	  python3-matplotlib,
	  python3-networkx,
	  python3-pyvista,
	  python3-scipy
Restrictions: allow-stderr

Tests: test-dolfinx-python-pusimp
Architecture: !riscv64
Depends: @, @builddeps@,
 python3-all,
 python3-pip,
 python3-pytest,
 python3-requests,
 python3-virtualenv
Restrictions: needs-internet

## fenics-dolfinx 0.10.0.post4

=== cpp/dolfinx/CMakeLists.txt ===
# ------------------------------------------------------------------------------
include(GNUInstallDirs)

# ------------------------------------------------------------------------------
# Declare the library (target) and set C++ standard
add_library(dolfinx)
set(CMAKE_CXX_EXTENSIONS OFF)
target_compile_features(dolfinx PUBLIC cxx_std_20)

# ------------------------------------------------------------------------------
# Add source files to the target
set(DOLFINX_DIRS
    common
    fem
    geometry
    graph
    io
    la
    mesh
    nls
    refinement
)

# Add source to dolfinx target, and get sets of header files
foreach(DIR ${DOLFINX_DIRS})
  add_subdirectory(${DIR})
endforeach()

# Set target include location (for build and installed)
target_include_directories(
  dolfinx
  PUBLIC
    $<INSTALL_INTERFACE:include>
    "$<BUILD_INTERFACE:${DOLFINX_SOURCE_DIR};${DOLFINX_SOURCE_DIR}/dolfinx>"
)

# ------------------------------------------------------------------------------
# Configure the common/version.h file

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/common/version.h.in common/version.h @ONLY
)

# ------------------------------------------------------------------------------
# Set target properties
set_target_properties(
  dolfinx
  PROPERTIES VERSION ${DOLFINX_VERSION}
             SOVERSION ${DOLFINX_VERSION_MAJOR}.${DOLFINX_VERSION_MINOR}
)

if(ENABLE_CLANG_TIDY)
  find_program(CLANG_TIDY NAMES clang-tidy REQUIRED)
  set_target_properties(dolfinx PROPERTIES CXX_CLANG_TIDY "${CLANG_TIDY};--config-file=${CMAKE_CURRENT_SOURCE_DIR}/../../.clang-tidy")
endif()

# Add git revision flag to the one affected file
set_source_files_properties(
  common/defines.cpp
  PROPERTIES
    COMPILE_DEFINITIONS
    "UFCX_SIGNATURE=\"${UFCX_SIGNATURE}\";DOLFINX_GIT_COMMIT_HASH=\"${GIT_COMMIT_HASH}\""
)

# ------------------------------------------------------------------------------
# Set compiler options and definitions

# Set 'Developer' build type flags
target_compile_options(
  dolfinx PRIVATE $<$<CONFIG:Developer>:${DOLFINX_CXX_DEVELOPER_FLAGS}>
)

# Add version to definitions (public)
target_compile_definitions(dolfinx PUBLIC DOLFINX_VERSION="${DOLFINX_VERSION}")

# MSVC does not support the optional C99 _Complex type. Consequently, ufcx.h
# does not contain tabulate_tensor_complex* functions when built with MSVC. On
# MSVC this DOLFINX macro is set and this removes all calls to
# tabulate_tensor_complex*.
if(MSVC)
  target_compile_definitions(dolfinx PUBLIC DOLFINX_NO_STDC_COMPLEX_KERNELS)
endif()

# ------------------------------------------------------------------------------
# Add include directories and libraries of required packages

# pugixml (see https://pugixml.org/docs/manual.html#v1.11)
if(TARGET pugixml::pugixml)
  target_link_libraries(dolfinx PUBLIC pugixml::pugixml)
else()
  target_link_libraries(dolfinx PUBLIC pugixml)
endif()

# UFCx
if(TARGET ufcx::ufcx)
  target_link_libraries(dolfinx PUBLIC ufcx::ufcx)
else()
  target_include_directories(dolfinx SYSTEM PUBLIC ${UFCX_INCLUDE_DIRS})
endif()

# Basix
target_link_libraries(dolfinx PUBLIC Basix::basix)

# Boost
target_link_libraries(dolfinx PUBLIC Boost::headers)

# MPI
target_link_libraries(dolfinx PUBLIC MPI::MPI_CXX)

target_link_libraries(dolfinx PUBLIC spdlog::spdlog)

# HDF5
target_link_libraries(dolfinx PUBLIC hdf5::hdf5)

# ------------------------------------------------------------------------------
# Optional packages

# ADIOS2
if(ADIOS2_FOUND)
  target_compile_definitions(dolfinx PUBLIC HAS_ADIOS2)
  # ADIOS2 2.11 and later
  if(TARGET adios2::cxx_mpi)
    set(_adios2_mpi_target adios2::cxx_mpi)
  # And prior
  elseif(TARGET adios2::cxx11_mpi)
    set(_adios2_mpi_target adios2::cxx11_mpi)
  else()
    message(FATAL_ERROR
      "ADIOS2 found, but no adios2::cxx*_mpi target found.")
  endif()
  target_link_libraries(dolfinx PUBLIC ${_adios2_mpi_target})
endif()

# PETSc
if(DOLFINX_ENABLE_PETSC AND PETSC_FOUND)
  target_link_libraries(dolfinx PUBLIC PkgConfig::PETSC)
  target_compile_definitions(dolfinx PUBLIC HAS_PETSC)
endif()

# SLEPC
if(DOLFINX_ENABLE_SLEPC AND SLEPC_FOUND)
  target_link_libraries(dolfinx PUBLIC PkgConfig::SLEPC)
  target_compile_definitions(dolfinx PUBLIC HAS_SLEPC)
endif()

# SCOTCH
if(DOLFINX_ENABLE_SCOTCH AND SCOTCH_FOUND)
  target_compile_definitions(dolfinx PUBLIC HAS_PTSCOTCH)
  target_link_libraries(dolfinx PRIVATE SCOTCH::ptscotch)
  if(TARGET SCOTCH::scotcherr)
    target_link_libraries(dolfinx PRIVATE SCOTCH::scotcherr)
  endif()
endif()

# ParMETIS
if(DOLFINX_ENABLE_PARMETIS AND PARMETIS_FOUND)
  target_compile_definitions(dolfinx PUBLIC HAS_PARMETIS)
  target_link_libraries(dolfinx PRIVATE ${PARMETIS_LIBRARIES})
  target_include_directories(dolfinx SYSTEM PRIVATE ${PARMETIS_INCLUDE_DIRS})
endif()

# KaHIP
if(DOLFINX_ENABLE_KAHIP AND KAHIP_FOUND)
  target_compile_definitions(dolfinx PUBLIC HAS_KAHIP)
  target_link_libraries(dolfinx PRIVATE ${KAHIP_LIBRARIES})
  target_include_directories(dolfinx SYSTEM PRIVATE ${KAHIP_INCLUDE_DIRS})
endif()

# ------------------------------------------------------------------------------
# Install dolfinx library and header files
install(
    TARGETS dolfinx
    EXPORT DOLFINXTargets
    RUNTIME_DEPENDENCY_SET dependencies
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT RuntimeExecutables
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Development
)

if(INSTALL_RUNTIME_DEPENDENCIES AND WIN32)
  install(
    RUNTIME_DEPENDENCY_SET
    dependencies
    DESTINATION
    ${CMAKE_INSTALL_BINDIR}
    PRE_EXCLUDE_REGEXES
    [[api-ms-win-.*]] [[ext-ms-.*]]
    POST_EXCLUDE_REGEXES
    [[.*(\\|/)system32(\\|/).*\.dll]]
    DIRECTORIES
    $<TARGET_FILE_DIR:Basix::basix>
    $<TARGET_FILE_DIR:hdf5::hdf5>
  )
endif()

# Generate DOLFINTargets.cmake
install(EXPORT DOLFINXTargets DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/dolfinx)

# Install the header files
install(
  FILES dolfinx.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
  COMPONENT Development
)

foreach(DIR ${DOLFINX_DIRS})
  install(
    FILES ${HEADERS_${DIR}}
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dolfinx/${DIR}
    COMPONENT Development
  )
endforeach()

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/common/version.h
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dolfinx/common
  COMPONENT Development
)

# ------------------------------------------------------------------------------
# Generate CMake config files (DOLFINXConfig{,Version}.cmake)
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  ${CMAKE_BINARY_DIR}/dolfinx/DOLFINXConfigVersion.cmake
  VERSION ${DOLFINX_VERSION}
  COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(
  ${DOLFINX_SOURCE_DIR}/cmake/templates/DOLFINXConfig.cmake.in
  ${CMAKE_BINARY_DIR}/dolfinx/DOLFINXConfig.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/dolfinx
)

# Install CMake helper files
install(
  FILES ${CMAKE_BINARY_DIR}/dolfinx/DOLFINXConfig.cmake
        ${CMAKE_BINARY_DIR}/dolfinx/DOLFINXConfigVersion.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/dolfinx
  COMPONENT Development
)

# ------------------------------------------------------------------------------
# Generate pkg-config file and install it

# Define packages that should be required by pkg-config file
set(PKG_REQUIRES "")

# Get link libraries and includes
get_target_property(
  PKGCONFIG_DOLFINX_TARGET_LINK_LIBRARIES dolfinx INTERFACE_LINK_LIBRARIES
)
get_target_property(
  PKGCONFIG_DOLFINX_INCLUDE_DIRECTORIES dolfinx
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES
)

# Add imported targets to lists for creating pkg-config file
set(PKGCONFIG_DOLFINX_LIBS)

foreach(_target ${PKGCONFIG_DOLFINX_TARGET_LINK_LIBRARIES})
  if("${_target}" MATCHES "^[^<>]+$") # Skip "$<foo...>", which we get with
                                      # static libs
    if("${_target}" MATCHES "^.*::.*$")
      # Get include paths
      get_target_property(_inc_dirs ${_target} INTERFACE_INCLUDE_DIRECTORIES)

      if(_inc_dirs)
        list(APPEND PKGCONFIG_DOLFINX_INCLUDE_DIRECTORIES ${_inc_dirs})
      endif()

      # Get libraries
      get_target_property(_libs ${_target} INTERFACE_LINK_LIBRARIES)

      if(_libs)
        list(APPEND PKGCONFIG_DOLFINX_LIBS ${_libs})
      endif()

    else()
      # 'regular' libs, i.e. not imported targets
      list(APPEND PKGCONFIG_DOLFINX_LIBS ${_target})
    endif()

    # Special handling to extract data for compiled Boost imported
    # targets to use in generate pkg-config file
    if(("${_target}" MATCHES "^.*Boost::.*$") AND NOT "${_target}" STREQUAL
                                                  "Boost::headers"
    )
      get_target_property(_libs ${_target} IMPORTED_LOCATION_RELEASE)

      if(_libs)
        list(APPEND PKGCONFIG_DOLFINX_LIBS ${_libs})
      endif()
    endif()
  endif()
endforeach()

# Join include lists and remove duplicates
list(REMOVE_DUPLICATES PKGCONFIG_DOLFINX_INCLUDE_DIRECTORIES)
list(REMOVE_DUPLICATES PKGCONFIG_DOLFINX_LIBS)

# Convert include dirs to -I<incdir> form
set(PKG_INCLUDES)
foreach(_inc_dir ${PKGCONFIG_DOLFINX_INCLUDE_DIRECTORIES})
  set(PKG_INCLUDES "-I${_inc_dir} ${PKG_INCLUDES}")
endforeach()

# Get dolfinx definitions
get_target_property(
  PKG_DOLFINX_DEFINITIONS dolfinx INTERFACE_COMPILE_DEFINITIONS
)
set(PKG_DEFINITIONS)

foreach(_def ${PKG_DOLFINX_DEFINITIONS})
  set(PKG_DEFINITIONS "${PKG_DEFINITIONS} -D${_def}")
endforeach()

# Get basix definitions (this is required to propagate Basix definition to the
# pkg-config file, in the future Basix should create its own basix.pc file, see
# https://github.com/FEniCS/basix/issues/204)
get_target_property(
  PKG_BASIX_DEFINITIONS Basix::basix INTERFACE_COMPILE_DEFINITIONS
)

foreach(_def ${PKG_BASIX_DEFINITIONS})
  set(PKG_DEFINITIONS "${PKG_DEFINITIONS} -D${_def}")
endforeach()

# Convert compiler flags and definitions into space separated strings
string(REPLACE ";" " " PKG_CXXFLAGS "${CMAKE_CXX_FLAGS}")
string(REPLACE ";" " " PKG_LINKFLAGS "${CMAKE_EXE_LINKER_FLAGS}")

# Convert libraries to -L<libdir> -l<lib> form
foreach(_lib ${PKGCONFIG_DOLFINX_LIBS})
  # Add -Wl,option directives
  if("${_lib}" MATCHES "-Wl,[^ ]*")
    set(PKG_LINKFLAGS "${_lib} ${PKG_LINKFLAGS}")
  else()
    get_filename_component(_path ${_lib} DIRECTORY)
    get_filename_component(_name ${_lib} NAME_WE)
    string(REPLACE "lib" "" _name "${_name}")

    # Add libraries that matches the form -L<libdir> -l<lib>
    if(NOT "${_path}" STREQUAL "")
      set(PKG_LINKFLAGS "-L${_path} -l${_name} ${PKG_LINKFLAGS}")
    endif()
  endif()
endforeach()

# Remove duplicated link flags
separate_arguments(PKG_LINKFLAGS)
list(REMOVE_DUPLICATES PKG_LINKFLAGS)
string(REPLACE ";" " " PKG_LINKFLAGS "${PKG_LINKFLAGS}")

# Boost include dir (used as pkg-config variable)
get_target_property(
  BOOST_INCLUDE_DIR Boost::headers INTERFACE_INCLUDE_DIRECTORIES
)

# Configure and install pkg-config file
configure_file(
  ${DOLFINX_SOURCE_DIR}/cmake/templates/dolfinx.pc.in
  ${CMAKE_BINARY_DIR}/dolfinx.pc @ONLY
)
install(
  FILES ${CMAKE_BINARY_DIR}/dolfinx.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT Development
)

# ------------------------------------------------------------------------------

=== debian/changelog ===
fenics-dolfinx (1:0.10.0.post4-1exp1) experimental; urgency=medium

  * New upstream release
    - supports adios2 2.11
  * debian/tests: reenable python demo_stokes (fixed in 0.10)

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Dec 2025 01:12:14 +0100

fenics-dolfinx (1:0.9.0-13) unstable; urgency=medium

  * backport debian patch doc_build.patch from 1:0.10.0.post2-1exp1 to
    stop treating doxygen warnings as errors (in C++ docs)

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Dec 2025 00:59:43 +0100

fenics-dolfinx (1:0.9.0-12) unstable; urgency=medium

  * debian patch py314_refcount_bunkab84c39.patch applies Adrian
    Bunk's patch to enable test_mpi_comm_refcount to keep passing
    with python 3.14. Closes: #1122069

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Dec 2025 23:00:31 +0100

fenics-dolfinx (1:0.9.0-11) unstable; urgency=medium

  * debian/tests: skip demo_stokes in MPI demo tests, which fails with
    PETSc 3.24

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Nov 2025 20:31:08 +0100

=== debian/control ===
Source: fenics-dolfinx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
           Francesco Ballarin <francesco.ballarin@unicatt.it>
Section: math
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               gfortran,
               catch2 (>= 3~),
               chrpath,
               libbasix-dev (>= 0.10.0~),
               python3-basix,
               libboost-chrono-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-math-dev,
               libboost-mpi-dev,
               libboost-program-options-dev,
               libboost-serialization-dev,
               libboost-thread-dev,
               libboost-timer-dev,
               libeigen3-dev,
               libhdf5-mpi-dev,
               libadios2-mpi-c++11-dev [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
               libpugixml-dev,
               libsuitesparse-dev,
               libptscotch-dev (>= 7.0.10~),
               libxml2-dev,
               mpi-default-dev,
               libpetsc-real-dev,
               libpetsc-complex-dev,
               libslepc-real-dev,
               libslepc-complex-dev,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-petsc4py,
               python3-petsc4py-real,
               python3-petsc4py-complex,
               python3-slepc4py,
               python3-slepc4py-real,
               python3-slepc4py-complex,
               pkgconf,
               python3-all-dev,
               python3-cffi,
               python3-ffcx (>= 1:0.10.0~),
               python3-ffcx (<< 1:0.11.0),
               python3-gmsh,
               python3-ufl (>= 2024.2.0~),
               python3-mpi4py,
               python3-nanobind (>= 2.5.0~),
               python3-numpy (>= 1:1.21~),
               python3-numpy-dev,
               python3-pip,
               python3-pytest <!nocheck>,
               python3-pusimp (>= 0.1.1~),
               python3-requests <!nocheck>,
               python3-scikit-build-core,
               python3-scipy <!nocheck>,
               python3-sphinx,
               python3-virtualenv,
               libspdlog-dev
Build-Depends-Indep: doxygen,
                     graphviz,
                     libjs-mathjax,
                     libjs-modernizr,
                     python3-jupytext,
                     python3-matplotlib,
                     python3-myst-parser,
                     python3-sphinx-codeautolink,
                     python3-sphinx-rtd-theme,
                     python-petsc4py-doc,
                     python-numpy-doc,
                     python-mpi4py-doc,
                     basix-doc,
                     python-ffcx-doc,
                     python-ufl-doc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-dolfinx
Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-dolfinx.git
Homepage: https://fenicsproject.org
Rules-Requires-Root: no

Package: libdolfinx-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdolfinx-real-dev (>= ${source:Version}) | libdolfinx-complex-dev (>= ${source:Version}),
         libdolfinx-real-dev (<< ${dolfinx:Next-Upstream-Version}) | libdolfinx-complex-dev (<< ${dolfinx:Next-Upstream-Version}),
         cmake,
         g++ | c++-compiler,
         libboost-chrono-dev,
         libboost-dev,
         libboost-filesystem-dev,
         libboost-iostreams-dev,
         libboost-math-dev,
         libboost-mpi-dev,
         libboost-program-options-dev,
         libboost-serialization-dev,
         libboost-thread-dev,
         libboost-timer-dev,
         libeigen3-dev,
         libhdf5-mpi-dev,
         libadios2-mpi-c++11-dev [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
         libpugixml-dev,
         libsuitesparse-dev,
         libptscotch-dev (>= 7.0.10~),
         libspdlog-dev,
         libxml2-dev,
         pkgconf,
         python3-ffcx (>= 1:0.10.0~),
         python3-ffcx (<< 1:0.11.0),
         ${misc:Depends}
Description: Shared links and header files for DOLFIN
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
 PSE (Problem Solving Environment) for solving ordinary and partial
 differential equations. Key features include a simple, consistent and
 intuitive object-oriented API; automatic and efficient evaluation of
 variational forms; automatic and efficient assembly of linear
 systems; and support for general families of finite elements.
 .
 This package contains the common development files and depends on
 the real or complex development package.
 .
 This is the next-generation version of libdolfinx-dev (DOLFIN-X).
 The legacy version of DOLFIN is provided by libdolfin-dev.

Package: libdolfinx-real-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdolfinx-real0.10 (= ${binary:Version}),
         ${petsc:Depends},
         ${misc:Depends}
Recommends: libdolfinx-dev
Description: Shared links and header files for DOLFIN (real numbers)
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
 PSE (Problem Solving Environment) for solving ordinary and partial
 differential equations. Key features include a simple, consistent and
 intuitive object-oriented API; automatic and efficient evaluation of
 variational forms; automatic and efficient assembly of linear
 systems; and support for general families of finite elements.
 .
 This package contains the development files for the real number build.
 .
 This is the next-generation version of DOLFIN-X.
 The legacy version of DOLFIN is provided by libdolfin-dev.

Package: libdolfinx-complex-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libdolfinx-complex0.10 (= ${binary:Version}),
         ${petsc-complex:Depends},
         ${misc:Depends}
Recommends: libdolfinx-dev
Description: Shared links and header files for DOLFIN (complex numbers)
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
 PSE (Problem Solving Environment) for solving ordinary and partial
 differential equations. Key features include a simple, consistent and
 intuitive object-oriented API; automatic and efficient evaluation of
 variational forms; automatic and efficient assembly of linear
 systems; and support for general families of finite elements.
 .
 This package contains the development files for the complex number build.
 .
 This is the next-generation version of DOLFIN-).
 The legacy version of DOLFIN is provided by libdolfin-dev.

Package: libdolfinx-real0.10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: dolfinx-doc,
          python3-dolfinx
Description: Shared libraries for DOLFIN
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
 PSE (Problem Solving Environment) for solving ordinary and partial
 differential equations. Key features include a simple, consistent and
 intuitive object-oriented API; automatic and efficient evaluation of
 variational forms; automatic and efficient assembly of linear
 systems; and support for general families of finite elements.
 .
 This package contains the shared libraries with real number support.

Package: libdolfinx-complex0.10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: dolfinx-doc,
          python3-dolfinx
Description: Shared libraries for DOLFIN
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
 PSE (Problem Solving Environment) for solving ordinary and partial
 differential equations. Key features include a simple, consistent and
 intuitive object-oriented API; automatic and efficient evaluation of
 variational forms; automatic and efficient assembly of linear
 systems; and support for general families of finite elements.
 .
 This package contains the shared libraries with complex number support.

Package: python3-dolfinx
Architecture: any
Multi-Arch: same
Section: python
Depends: python3-dolfinx-real (>= 1:0.10.0~) | python3-dolfinx-complex (>= 1:0.10.0~),
         python3:any,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-gmsh
Suggests: dolfinx-doc
Breaks: python3-dolfinx-mpc (<< 0.8.0.post1-5)
Description: Python interface for DOLFIN (Python 3)
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
 PSE (Problem Solving Environment) for solving ordinary and partial
 differential equations. Key features include a simple, consistent and
 intuitive object-oriented API; automatic and efficient evaluation of
 variational forms; automatic and efficient assembly of linear
 systems; and support for general families of finite elements.
 .
 This is the next-generation version of libdolfinx-dev (DOLFIN-X).
 The legacy version of DOLFIN is provided by python3-dolfin.
 .
 This is a base package depending on the dolfinx packages with
 real or complex number support. By default the version built against
 the preferred version of PETSc in /usr/lib/petsc is selected, but the
 alternative version can be selected by setting the environment
 variable PETSC_DIR.

Package: python3-dolfinx-real
Architecture: any
Section: python
Depends: libdolfinx-dev (= ${binary:Version}),
         libdolfinx-real-dev (= ${binary:Version}),
         python3-ffcx (>= 1:0.10.0~),
         python3-ffcx (<< 1:0.11.0),
         python3-ufl (>= 2024.2.0~),
         python3-cffi,
         python3-mpi4py,
         python3-numpy (>= 1:1.21~),
         python3-pusimp (>= 0.1.1~),
         python3-scipy,
         ${python3-petsc4py-real:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-dolfinx
Suggests: dolfinx-doc
Breaks: python3-basix (<< 0.9.0-4~)
Description: Python interface for DOLFIN (Python 3)
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
 PSE (Problem Solving Environment) for solving ordinary and partial
 differential equations. Key features include a simple, consistent and
 intuitive object-oriented API; automatic and efficient evaluation of
 variational forms; automatic and efficient assembly of linear
 systems; and support for general families of finite elements.
 .
 This package contains the Python interface for DOLFIN (Python 3).
 .
 This is the next-generation version of libdolfinx-dev (DOLFIN-X).
 The legacy version of DOLFIN is provided by python3-dolfin.

Package: python3-dolfinx-complex
Architecture: any
Section: python
Depends: libdolfinx-dev (= ${binary:Version}),
         libdolfinx-complex-dev (= ${binary:Version}),
         python3-ffcx (>= 1:0.10.0~),
         python3-ffcx (<< 1:0.11.0),
         python3-ufl (>= 2024.2.0~),
         python3-cffi,
         python3-mpi4py,
         python3-numpy,
         python3-pusimp (>= 0.1.1~),
         python3-scipy,
         ${python3-petsc4py-complex:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-dolfinx
Suggests: dolfinx-doc
Breaks: python3-basix (<< 0.9.0-4~)
Description: Python interface for DOLFIN (Python 3)
 DOLFIN is the Python and C++ interface of the FEniCS project for the
 automated solution of differential equations, providing a consistent
